Bug 1007791 - Installer: Port offset configure only standalone profiles
Installer: Port offset configure only standalone profiles
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER2
: EAP 6.2.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 06:16 EDT by Petr Kremensky
Modified: 2017-10-09 20:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:15:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-13 06:16:49 EDT
On Socket binding screen choose to configure an offset for all default port bindings, choose some port offset and finish the installation. 

Actual result:
Only standalone profiles have port offset configured.

Expected result:
There will be port offset configured also for domain profiles.
Comment 1 Thomas Hauser 2013-09-13 15:05:41 EDT
Did some digging with this one. 

The installer currently modifies the port-offset attribute in jboss-eap-6.2/domain/configuration/host.xml. Here is the snippet:

http://pastebin.test.redhat.com/163884

As you can see, the installer currently changes the port-offset to server-one..but not server-two nor server-three. We have a few options:

a) Add the offset to the rest of the host.xml servers. This would just mean having the installer do a simple addition of the given value (the user gives X as the offset amount, then server-one will be offset by X, server-two by X+150, and server-three by X+250.

b) Add the offset directly to domain.xml in the relevant <socket-binding-group> element.
Comment 2 Petr Kremensky 2013-09-13 15:41:08 EDT
This is a tricky decision.
As there is nothing like <socket-binding-group/> for domain.xml, options you listed are IMO the only ones we have. 

I don't really like the idea of hard-coding the offset directly to each port inside domain.xml, so from my point of view the a) option is less evil, but if you prefer b) we can further discuss this.
Comment 3 Petr Kremensky 2013-09-13 15:45:44 EDT
User can always use custom port bindings to change ports inside domain.xml directly, so option a) is definitely better one.
Comment 4 Thomas Hauser 2013-09-16 11:40:40 EDT
option a) from my comment above has been added to the installer.

http://git.app.eng.bos.redhat.com/?p=jbossas-installer.git;a=commit;h=e026d8f76d306996cab123265d9abb29d1c77949
Comment 5 Petr Kremensky 2013-09-18 05:42:26 EDT
Verified on EAP 6.2.0.ER2

Note You need to log in before you can comment on or make changes to this bug.